KB#0211 Remove unnecessary packages installed on infrastructure nodes and compile masters during Puppet runs in Puppet Enterprise 2016.4.x, 2017.3.x, and 2018.1.x

Comments

4 comments

  • Avatar
    Victor Chavez

    In my case this affected my monolithic master.

  • Avatar
    Suzie Baunsgard

    Though maybe you're just letting us know you can see this on a monolithic master, (thank you!) I'll let the folks you're working with know just in case it's related to anything you're trying to fix right now.

     

  • Avatar
    Nate McCurdy

    This article should be updated for 2018.1.0 with the filter shown below. The one in the article is missing a few packages.

    Package <| title != 'pe-activemq' and
    title != 'pe-backup-tools' and
    title != 'pe-client-tools' and
    title != 'pe-console-services' and
    title != 'pe-console-services-termini' and
    title != 'pe-java' and
    title != 'pe-license' and
    title != 'pe-modules' and
    title != 'pe-orchestration-services' and
    title != 'pe-postgresql-pglogical' and
    title != 'pe-puppet-enterprise-release' and
    title != 'pe-puppetdb' and
    title != 'pe-puppetdb-termini' and
    title != 'pe-puppetserver' and
    title != 'pe-razor-libs' and
    title != 'pe-razor-server' and
    title != 'pe-tasks' |>

  • Avatar
    Suzie Baunsgard

    Thanks Nate... I'll take care of it.

Please sign in to leave a comment.